# Uses of Class
org.apache.avro.io.JsonDecoder

Packages that use JsonDecoder
Package
Description
org.apache.avro.io
Utilities for Encoding and Decoding Avro data.

## Uses of JsonDecoder in org.apache.avro.io

Methods in org.apache.avro.io that return JsonDecoder
Modifier and Type
Method
Description
`JsonDecoder`
JsonDecoder.`configure(InputStream in)`
Reconfigures this JsonDecoder to use the InputStream provided.
`JsonDecoder`
JsonDecoder.`configure(String in)`
Reconfigures this JsonDecoder to use the String provided for input.
`JsonDecoder`
DecoderFactory.`jsonDecoder(Schema schema, InputStream input)`
Creates a `JsonDecoder` using the InputStream provided for reading data that conforms to the Schema provided.
`JsonDecoder`
DecoderFactory.`jsonDecoder(Schema schema, String input)`
Creates a `JsonDecoder` using the String provided for reading data that conforms to the Schema provided.